# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/phy/hisilicon,hi3660-usb3.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Hisilicon Kirin 960 USB PHY

maintainers:
  - Mauro Carvalho Chehab <mchehab+huawei@kernel.org>
description: |+
  Bindings for USB3 PHY on HiSilicon Kirin 960.

properties:
  compatible:
    const: hisilicon,hi3660-usb-phy

  "#phy-cells":
    const: 0

  hisilicon,pericrg-syscon:
    $ref: '/schemas/types.yaml#/definitions/phandle'
    description: phandle of syscon used to control iso refclk.

  hisilicon,pctrl-syscon:
    $ref: '/schemas/types.yaml#/definitions/phandle'
    description: phandle of syscon used to control usb tcxo.

  hisilicon,eye-diagram-param:
    $ref: /schemas/types.yaml#/definitions/uint32-array
    maxItems: 1
    description: Eye diagram for phy.

required:
  - compatible
  - hisilicon,pericrg-syscon
  - hisilicon,pctrl-syscon
  - hisilicon,eye-diagram-param
  - "#phy-cells"

additionalProperties: false

examples:
  - |
    usb-phy {
        compatible = "hisilicon,hi3660-usb-phy";
        #phy-cells = <0>;
        hisilicon,pericrg-syscon = <&crg_ctrl>;
        hisilicon,pctrl-syscon = <&pctrl>;
        hisilicon,eye-diagram-param = <0x22466e4>;
    };
